Bug 324356 - Monav routing configuration dialog should suggest the requirement of monav-routing-daemon
Summary: Monav routing configuration dialog should suggest the requirement of monav-ro...
Status: RESOLVED FIXED
Alias: None
Product: marble
Classification: Unclassified
Component: general (show other bugs)
Version: 1.5 (KDE 4.10)
Platform: Debian testing Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: Dennis Nienhüser
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-09-01 15:16 UTC by parejaobregon
Modified: 2013-09-02 22:06 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.11.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description parejaobregon 2013-09-01 15:16:22 UTC
I have been using marble for a long time (one of my favorite kde apps), and with each new version I tried the routing engine, hoping for it to function properly. It was not until I accidentally found out on the internet I needed to install monav-routing-daemon, that I could make the monav routing engine to work.

Of course it now works flawlessly, and I'm very happy with it, but it would be very nice for the configuration dialog to indicate somehow to the rookie user (like me) the dependency on monav-routing-daemon. It may be displayed as a tooltip when configuring the monav routing engine, for example.

I now know it is easily found in the userbase and other sites, but the casual user should not perform web searches for basic functionalities to work. If other engines have similar requirements they should indicate so similarily.

Anyway, I love Marble, and thanks for the hard work!

Reproducible: Always

Steps to Reproduce:
1. Open routing configuration dialog
2. Select monav routing engine configuration options
Actual Results:  
Configuration options are displayed but the user has no way of knowing monav-routing-daemon is required (other than an internet search).

Expected Results:  
Display a tooltip or some kind of warning to indicate the requirement of monav-routing-daemon
Comment 1 Dennis Nienhüser 2013-09-02 20:47:41 UTC
Thanks for reporting.
Comment 2 Dennis Nienhüser 2013-09-02 21:30:15 UTC
Git commit 7974a9a700573c3c545e30d9d4ba8c4cb5b2b92a by Dennis Nienhüser.
Committed on 02/09/2013 at 20:52.
Pushed by nienhueser into branch 'KDE/4.11'.

Give a hint if monav-routing-daemon is not installed on the system.

(cherry-picked from commit bb5dff5)
FIXED-IN: 4.11.2

M  +2    -0    src/plugins/runner/monav/MonavConfigWidget.cpp
M  +75   -52   src/plugins/runner/monav/MonavConfigWidget.ui

http://commits.kde.org/marble/7974a9a700573c3c545e30d9d4ba8c4cb5b2b92a
Comment 3 Dennis Nienhüser 2013-09-02 21:32:08 UTC
It's shown directly below the config fields now. We had all checks etc. in place already, just didn't show it for monav...
Comment 4 parejaobregon 2013-09-02 22:06:10 UTC
Excelent! Thanks again for your work.